# $Revision: 1.27 $, $Date: 2002/09/09 22:42:25 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DBD
%define	pnam	XBase
Summary:	XBase - Reading and writing the DBF files from Perl
Summary(pl):	XBase - Czytanie i zapisywanie plikw DBF z poziomu Perla
Name:		perl-DBD-XBase
Version:	0.220
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-DBI
%endif
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module can read and write XBase database files, known as dbf in
dBase and FoxPro world. It also reads memo fields from the dbt and
fpt files, if needed. An alpha code of reading index support for ndx,
ntx, mdx, idx and cdx is available for testing - see the DBD::Index(3)
man page. Module XBase provides simple native interface to XBase
files. For DBI compliant database access, see the DBD::XBase and DBI
modules and their man pages.

%description -l pl
Ten modu moe czyta i zapisywa pliki baz danych XBase, znane jako
dbf w wiecie dBase i FoxPro. Moe take czyta w razie potrzeby pola
memo w plikw dbt i fpt. Kod w fazie alpha czytajcy indeksy ndx, ntx,
mdx, idx i cdx jest dostpny do testowania - wicej w DBD::Index(3).
Modu XBase udostpnia prosty natywny interfejs do plikw XBase.
Wicej o zgodnym z DBI dostpie do baz danych mona dowiedzie si z
moduw i stron manuala DBD::XBase i DBI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README ToDo
%attr(755,root,root) %{_bindir}/dbfdump
%{perl_sitelib}/DBD/XBase.pm
%{perl_sitelib}/XBase.pm
%{perl_sitelib}/XBase
%{_mandir}/man[13]/*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-DBD-XBase.spec,v $
Revision 1.27  2002/09/09 22:42:25  qboosh
- pl description, release 2

Revision 1.26  2002/09/08 11:02:01  radek
- version 2.220
- provided informative summary/description
- new %doc, moved examples to %_examplesdir, enabled tests
STBR

Revision 1.25  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.24  2002/07/10 08:46:49  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.23  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.22  2002/02/25 10:30:46  depesz
cleanup; revision++

Revision 1.21  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/13 14:11:16  depesz
automatic: Source location unfied, Relase Up

Revision 1.19  2002/02/10 15:25:07  depesz
adapterized

Revision 1.18  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/08/27 11:04:13  mis
- autoupdated to 0.200

Revision 1.16  2001/08/02 08:27:33  mis
- autoupdated to 0.177

Revision 1.15  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.14  2001/04/17 12:07:13  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/02/20 14:50:04  mis
- updated (by autoup) to 0.173

Revision 1.11  2001/02/19 13:21:45  mis
- updated (by autoup) to 0.162

Revision 1.10  2000/12/30 06:48:45  kloczek
- release 2: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.9  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:32  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.4  2000/02/17 20:38:40  pius
- updated to 0.160

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/11/03 11:09:29  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:19  pius
- initial release
